## com.bbn.openmap.dataAccess.shape
Class DbfHandler.Op

    java.lang.Object
      com.bbn.openmap.dataAccess.shape.DbfHandler.Op

Enclosing class:
  DbfHandler

public abstract static class DbfHandler.Op
extends java.lang.Object

The Op class (operation) is used by the Rules to evaluate a rule key value against a OMGraphics key value.

Author:
  dietrick

Field Summary
`static DbfHandler.Op` `ALL` all: all (everything passes rule)
`protected java.lang.String` `description`
`static DbfHandler.Op` `ENDS_WITH` ends: ends with
`static DbfHandler.Op` `EQUALS` equals: equals
`static DbfHandler.Op` `GREATER_THAN` gt: greater than
`static DbfHandler.Op` `GREATER_THAN_EQUALS` gte: greater than or equals
`static DbfHandler.Op` `LESS_THAN` lt: less than
`static DbfHandler.Op` `LESS_THAN_EQUALS` lte: less than or equals
`static DbfHandler.Op` `NONE` noop: no-op (nothing passes rule)
`static DbfHandler.Op` `NOT_EQUALS` ne: not equals
`static DbfHandler.Op[]` `POSSIBLES`
`protected java.lang.String` `propertyNotation`
`static DbfHandler.Op` `STARTS_WITH` starts: starts with

Constructor Summary
`DbfHandler.Op(java.lang.String desc, java.lang.String propNotation)`

Method Summary
`abstract boolean` `compare(int keyValcompareResult)`
`boolean` `evaluate(java.lang.Object key, java.lang.Object val)`
`java.lang.String` `getDescription()`
`java.lang.String` `getPropertyNotation()`
`static DbfHandler.Op` `resolve(java.lang.String opString)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### description

    protected java.lang.String description

### propertyNotation

    protected java.lang.String propertyNotation

### EQUALS

    public static final DbfHandler.Op EQUALS

  equals: equals

### LESS_THAN

    public static final DbfHandler.Op LESS_THAN

  lt: less than

### LESS_THAN_EQUALS

    public static final DbfHandler.Op LESS_THAN_EQUALS

  lte: less than or equals

### GREATER_THAN

    public static final DbfHandler.Op GREATER_THAN

  gt: greater than

### GREATER_THAN_EQUALS

    public static final DbfHandler.Op GREATER_THAN_EQUALS

  gte: greater than or equals

### NOT_EQUALS

    public static final DbfHandler.Op NOT_EQUALS

  ne: not equals

### NONE

    public static final DbfHandler.Op NONE

  noop: no-op (nothing passes rule)

### ALL

    public static final DbfHandler.Op ALL

  all: all (everything passes rule)

### STARTS_WITH

    public static final DbfHandler.Op STARTS_WITH

  starts: starts with

### ENDS_WITH

    public static final DbfHandler.Op ENDS_WITH

  ends: ends with

### POSSIBLES

    public static DbfHandler.Op[] POSSIBLES

Constructor Detail

### DbfHandler.Op

    public DbfHandler.Op(java.lang.String desc,
                         java.lang.String propNotation)

Method Detail

### evaluate

    public boolean evaluate(java.lang.Object key,
                            java.lang.Object val)

### compare

    public abstract boolean compare(int keyValcompareResult)

### resolve

    public static DbfHandler.Op resolve(java.lang.String opString)

### getDescription

    public java.lang.String getDescription()

### getPropertyNotation

    public java.lang.String getPropertyNotation()

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details